#!/bin/bash

if [ "$#" -ne 3 ]; then
echo "USAGE: $0 <exprmat> <outdir> <tfs>"
exit
fi

expmat=$1 ## expression matrix
outdir=$2 ## output directory
tfs=$3 ## transcription factor list

# calculate threshold for MI
java -Xmx5G -jar ARACNe-AP/dist/aracne.jar -e "$1"  -o "$2" --tfs "$3" --pvalue 1E-8 --seed 1 --calculateThreshold

# run 100 bootstraps
for i in {1..100}
do
java -Xmx5G -jar ARACNe-AP/dist/aracne.jar -e "$1"  -o "$2" --tfs "$3" --pvalue 1E-8 --seed $i
done

# consolidate bootstraps
java -Xmx5G -jar ARACNe-AP/dist/aracne.jar -o "$2" --consolidate